Bug 123858 - Anaconda freezes when returning from console (F2)
Anaconda freezes when returning from console (F2)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 20:04 EDT by An. N
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 15:34:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description An. N 2004-05-20 20:04:19 EDT
Description of problem:
Working in text console and returning to X after a longer period
results in a frozen Anaconda

Version-Release number of selected component (if applicable):
Fedora Core 2 installation

How reproducible:
Not sure

Steps to Reproduce:
1. Start package installation
2. Go to text mode
3. Go back to X after a period of inactivity
4. Anaconda/X is frozen, mouse cursor movable, white/gray background,
no dialog boxes, no response
  
Actual results:
Anaconda freeze

Expected results:
A dialog box or some activity

Additional info:
Tried to mount, unmount and replace CDs - no effect, had to reboot and
start over

Athlon 1GHz, NVidia GF2 MX400, IDE CD and drives
Comment 1 Phil Schaffner 2004-05-24 15:26:15 EDT
Similar problem on IBM A21p notebook during attempted FC2 upgrade. 
All activity stopped for a long period (~30 minutes).  Attempted to
change to VC2 with Ctrl-Alt-F2.  Screen did a slow fade to gray/white
and system was frozen - no response to keyboard/mouse, or ping from
another system.  Rebooting showed that install had partially
completed, removing old kernels and installing new, but had not
completed, leaving a mix of FC1/FC2 packages.  Last entry in
/root/upgrade.log:
Upgrading foomatic-3.0.1-3.i386.

lspci:
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:02.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:02.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:03.0 Ethernet controller: 3Com Corporation 3c556B CardBus [Tornado]
(rev 20)
00:03.1 Communication controller: 3Com Corporation Mini PCI 56k
Winmodem (rev 20)
00:05.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24
[CrystalClear SoundFusion Audio Accelerator] (rev 01)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility
M3 AGP 2x (rev 02)
Comment 2 Mike A. Harris 2005-03-06 15:34:28 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.